pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 11.1.1 20210623 (Red Hat 11.1.1-6)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_templates2ada" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#13b375a1#;
   pragma Export (C, u00001, "templates2adaB");
   u00002 : constant Version_32 := 16#66132de6#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#5299b007#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00005, "ada__charactersS");
   u00006 : constant Version_32 := 16#ba03ad8f#;
   pragma Export (C, u00006, "ada__characters__handlingB");
   u00007 : constant Version_32 := 16#21df700b#;
   pragma Export (C, u00007, "ada__characters__handlingS");
   u00008 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00008, "ada__characters__latin_1S");
   u00009 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00009, "ada__stringsS");
   u00010 : constant Version_32 := 16#532fc697#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#34742901#;
   pragma Export (C, u00011, "system__exception_tableB");
   u00012 : constant Version_32 := 16#0811c76a#;
   pragma Export (C, u00012, "system__exception_tableS");
   u00013 : constant Version_32 := 16#adf22619#;
   pragma Export (C, u00013, "system__soft_linksB");
   u00014 : constant Version_32 := 16#cf968b0c#;
   pragma Export (C, u00014, "system__soft_linksS");
   u00015 : constant Version_32 := 16#b18e086a#;
   pragma Export (C, u00015, "system__secondary_stackB");
   u00016 : constant Version_32 := 16#a284f113#;
   pragma Export (C, u00016, "system__secondary_stackS");
   u00017 : constant Version_32 := 16#2a956075#;
   pragma Export (C, u00017, "ada__exceptionsB");
   u00018 : constant Version_32 := 16#0f1c8606#;
   pragma Export (C, u00018, "ada__exceptionsS");
   u00019 : constant Version_32 := 16#51b6c352#;
   pragma Export (C, u00019, "ada__exceptions__last_chance_handlerB");
   u00020 : constant Version_32 := 16#2c60dc9e#;
   pragma Export (C, u00020, "ada__exceptions__last_chance_handlerS");
   u00021 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00021, "system__exceptionsB");
   u00022 : constant Version_32 := 16#3b4cab61#;
   pragma Export (C, u00022, "system__exceptionsS");
   u00023 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00023, "system__exceptions__machineB");
   u00024 : constant Version_32 := 16#bff81f32#;
   pragma Export (C, u00024, "system__exceptions__machineS");
   u00025 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00025, "system__exceptions_debugB");
   u00026 : constant Version_32 := 16#2b3557ec#;
   pragma Export (C, u00026, "system__exceptions_debugS");
   u00027 : constant Version_32 := 16#e3a6b5dc#;
   pragma Export (C, u00027, "system__img_intS");
   u00028 : constant Version_32 := 16#ced09590#;
   pragma Export (C, u00028, "system__storage_elementsB");
   u00029 : constant Version_32 := 16#7eec8c93#;
   pragma Export (C, u00029, "system__storage_elementsS");
   u00030 : constant Version_32 := 16#01838199#;
   pragma Export (C, u00030, "system__tracebackB");
   u00031 : constant Version_32 := 16#13a230cc#;
   pragma Export (C, u00031, "system__tracebackS");
   u00032 : constant Version_32 := 16#1f08c83e#;
   pragma Export (C, u00032, "system__traceback_entriesB");
   u00033 : constant Version_32 := 16#758715f6#;
   pragma Export (C, u00033, "system__traceback_entriesS");
   u00034 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00034, "system__traceback__symbolicB");
   u00035 : constant Version_32 := 16#9fa412cf#;
   pragma Export (C, u00035, "system__traceback__symbolicS");
   u00036 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00036, "ada__exceptions__tracebackB");
   u00037 : constant Version_32 := 16#6b52f2d4#;
   pragma Export (C, u00037, "ada__exceptions__tracebackS");
   u00038 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00038, "system__address_imageB");
   u00039 : constant Version_32 := 16#f2c35bad#;
   pragma Export (C, u00039, "system__address_imageS");
   u00040 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00040, "system__wch_conB");
   u00041 : constant Version_32 := 16#4852e445#;
   pragma Export (C, u00041, "system__wch_conS");
   u00042 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00042, "system__wch_stwB");
   u00043 : constant Version_32 := 16#6543c844#;
   pragma Export (C, u00043, "system__wch_stwS");
   u00044 : constant Version_32 := 16#1f681dab#;
   pragma Export (C, u00044, "system__wch_cnvB");
   u00045 : constant Version_32 := 16#47e55eb6#;
   pragma Export (C, u00045, "system__wch_cnvS");
   u00046 : constant Version_32 := 16#edec285f#;
   pragma Export (C, u00046, "interfacesS");
   u00047 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00047, "system__wch_jisB");
   u00048 : constant Version_32 := 16#c7954797#;
   pragma Export (C, u00048, "system__wch_jisS");
   u00049 : constant Version_32 := 16#896564a3#;
   pragma Export (C, u00049, "system__parametersB");
   u00050 : constant Version_32 := 16#147d025c#;
   pragma Export (C, u00050, "system__parametersS");
   u00051 : constant Version_32 := 16#ce3e0e21#;
   pragma Export (C, u00051, "system__soft_links__initializeB");
   u00052 : constant Version_32 := 16#5697fc2b#;
   pragma Export (C, u00052, "system__soft_links__initializeS");
   u00053 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00053, "system__stack_checkingB");
   u00054 : constant Version_32 := 16#dd90ad7f#;
   pragma Export (C, u00054, "system__stack_checkingS");
   u00055 : constant Version_32 := 16#24ece25f#;
   pragma Export (C, u00055, "ada__strings__mapsB");
   u00056 : constant Version_32 := 16#ac61938c#;
   pragma Export (C, u00056, "ada__strings__mapsS");
   u00057 : constant Version_32 := 16#7431350c#;
   pragma Export (C, u00057, "system__bit_opsB");
   u00058 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00058, "system__bit_opsS");
   u00059 : constant Version_32 := 16#bd8894ca#;
   pragma Export (C, u00059, "system__unsigned_typesS");
   u00060 : constant Version_32 := 16#20c3a773#;
   pragma Export (C, u00060, "ada__strings__maps__constantsS");
   u00061 : constant Version_32 := 16#5ad396e5#;
   pragma Export (C, u00061, "ada__command_lineB");
   u00062 : constant Version_32 := 16#3cdef8c9#;
   pragma Export (C, u00062, "ada__command_lineS");
   u00063 : constant Version_32 := 16#179d7d28#;
   pragma Export (C, u00063, "ada__containersS");
   u00064 : constant Version_32 := 16#c89f77d5#;
   pragma Export (C, u00064, "ada__containers__helpersB");
   u00065 : constant Version_32 := 16#4adfc5eb#;
   pragma Export (C, u00065, "ada__containers__helpersS");
   u00066 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00066, "ada__finalizationS");
   u00067 : constant Version_32 := 16#10558b11#;
   pragma Export (C, u00067, "ada__streamsB");
   u00068 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00068, "ada__streamsS");
   u00069 : constant Version_32 := 16#92d882c5#;
   pragma Export (C, u00069, "ada__io_exceptionsS");
   u00070 : constant Version_32 := 16#630374d7#;
   pragma Export (C, u00070, "ada__tagsB");
   u00071 : constant Version_32 := 16#cb8ac80c#;
   pragma Export (C, u00071, "ada__tagsS");
   u00072 : constant Version_32 := 16#796f31f1#;
   pragma Export (C, u00072, "system__htableB");
   u00073 : constant Version_32 := 16#d7ed757d#;
   pragma Export (C, u00073, "system__htableS");
   u00074 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00074, "system__string_hashB");
   u00075 : constant Version_32 := 16#75b31e03#;
   pragma Export (C, u00075, "system__string_hashS");
   u00076 : constant Version_32 := 16#a00acb30#;
   pragma Export (C, u00076, "system__val_lluS");
   u00077 : constant Version_32 := 16#269742a9#;
   pragma Export (C, u00077, "system__val_utilB");
   u00078 : constant Version_32 := 16#ff8f7069#;
   pragma Export (C, u00078, "system__val_utilS");
   u00079 : constant Version_32 := 16#ec4d5631#;
   pragma Export (C, u00079, "system__case_utilB");
   u00080 : constant Version_32 := 16#6cfa70c3#;
   pragma Export (C, u00080, "system__case_utilS");
   u00081 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00081, "system__finalization_rootB");
   u00082 : constant Version_32 := 16#1cddb507#;
   pragma Export (C, u00082, "system__finalization_rootS");
   u00083 : constant Version_32 := 16#020a3f4d#;
   pragma Export (C, u00083, "system__atomic_countersB");
   u00084 : constant Version_32 := 16#e773eb1a#;
   pragma Export (C, u00084, "system__atomic_countersS");
   u00085 : constant Version_32 := 16#921d03a9#;
   pragma Export (C, u00085, "ada__containers__red_black_treesS");
   u00086 : constant Version_32 := 16#128b37fb#;
   pragma Export (C, u00086, "ada__directoriesB");
   u00087 : constant Version_32 := 16#a8327875#;
   pragma Export (C, u00087, "ada__directoriesS");
   u00088 : constant Version_32 := 16#57c21ad4#;
   pragma Export (C, u00088, "ada__calendarB");
   u00089 : constant Version_32 := 16#31350a81#;
   pragma Export (C, u00089, "ada__calendarS");
   u00090 : constant Version_32 := 16#e49bce3e#;
   pragma Export (C, u00090, "interfaces__cB");
   u00091 : constant Version_32 := 16#6c9a16d7#;
   pragma Export (C, u00091, "interfaces__cS");
   u00092 : constant Version_32 := 16#51f2d040#;
   pragma Export (C, u00092, "system__os_primitivesB");
   u00093 : constant Version_32 := 16#54d2a361#;
   pragma Export (C, u00093, "system__os_primitivesS");
   u00094 : constant Version_32 := 16#be60e41c#;
   pragma Export (C, u00094, "ada__directories__hierarchical_file_namesB");
   u00095 : constant Version_32 := 16#752941c9#;
   pragma Export (C, u00095, "ada__directories__hierarchical_file_namesS");
   u00096 : constant Version_32 := 16#ab4ad33a#;
   pragma Export (C, u00096, "ada__directories__validityB");
   u00097 : constant Version_32 := 16#498b13d5#;
   pragma Export (C, u00097, "ada__directories__validityS");
   u00098 : constant Version_32 := 16#0de7ae30#;
   pragma Export (C, u00098, "ada__strings__fixedB");
   u00099 : constant Version_32 := 16#64881af1#;
   pragma Export (C, u00099, "ada__strings__fixedS");
   u00100 : constant Version_32 := 16#c7f3db61#;
   pragma Export (C, u00100, "ada__strings__searchB");
   u00101 : constant Version_32 := 16#73987e07#;
   pragma Export (C, u00101, "ada__strings__searchS");
   u00102 : constant Version_32 := 16#45d85488#;
   pragma Export (C, u00102, "ada__strings__unboundedB");
   u00103 : constant Version_32 := 16#e3f69850#;
   pragma Export (C, u00103, "ada__strings__unboundedS");
   u00104 : constant Version_32 := 16#e6eadae6#;
   pragma Export (C, u00104, "ada__strings__text_outputS");
   u00105 : constant Version_32 := 16#cd3494c7#;
   pragma Export (C, u00105, "ada__strings__utf_encodingB");
   u00106 : constant Version_32 := 16#37e3917d#;
   pragma Export (C, u00106, "ada__strings__utf_encodingS");
   u00107 : constant Version_32 := 16#c2b98963#;
   pragma Export (C, u00107, "ada__strings__utf_encoding__wide_wide_stringsB");
   u00108 : constant Version_32 := 16#91eda35b#;
   pragma Export (C, u00108, "ada__strings__utf_encoding__wide_wide_stringsS");
   u00109 : constant Version_32 := 16#a1d6147d#;
   pragma Export (C, u00109, "system__compare_array_unsigned_8B");
   u00110 : constant Version_32 := 16#fa2cb71a#;
   pragma Export (C, u00110, "system__compare_array_unsigned_8S");
   u00111 : constant Version_32 := 16#a8025f3c#;
   pragma Export (C, u00111, "system__address_operationsB");
   u00112 : constant Version_32 := 16#402378a4#;
   pragma Export (C, u00112, "system__address_operationsS");
   u00113 : constant Version_32 := 16#b2ec367e#;
   pragma Export (C, u00113, "system__put_imagesB");
   u00114 : constant Version_32 := 16#0e0e696b#;
   pragma Export (C, u00114, "system__put_imagesS");
   u00115 : constant Version_32 := 16#1ce84679#;
   pragma Export (C, u00115, "ada__strings__text_output__utilsB");
   u00116 : constant Version_32 := 16#3780fb9b#;
   pragma Export (C, u00116, "ada__strings__text_output__utilsS");
   u00117 : constant Version_32 := 16#c9a3fcbc#;
   pragma Export (C, u00117, "system__stream_attributesB");
   u00118 : constant Version_32 := 16#84e17e14#;
   pragma Export (C, u00118, "system__stream_attributesS");
   u00119 : constant Version_32 := 16#3e25f63c#;
   pragma Export (C, u00119, "system__stream_attributes__xdrB");
   u00120 : constant Version_32 := 16#ce9a2a0c#;
   pragma Export (C, u00120, "system__stream_attributes__xdrS");
   u00121 : constant Version_32 := 16#901d19fb#;
   pragma Export (C, u00121, "system__fat_fltS");
   u00122 : constant Version_32 := 16#b62f10f6#;
   pragma Export (C, u00122, "system__fat_lfltS");
   u00123 : constant Version_32 := 16#ccffbe1c#;
   pragma Export (C, u00123, "system__fat_llfS");
   u00124 : constant Version_32 := 16#1ac6d92d#;
   pragma Export (C, u00124, "system__crtlS");
   u00125 : constant Version_32 := 16#74ff5e60#;
   pragma Export (C, u00125, "system__file_attributesS");
   u00126 : constant Version_32 := 16#9d740cb3#;
   pragma Export (C, u00126, "system__os_constantsS");
   u00127 : constant Version_32 := 16#d88b6b5e#;
   pragma Export (C, u00127, "system__file_ioB");
   u00128 : constant Version_32 := 16#f45e27f2#;
   pragma Export (C, u00128, "system__file_ioS");
   u00129 : constant Version_32 := 16#73d2d764#;
   pragma Export (C, u00129, "interfaces__c_streamsB");
   u00130 : constant Version_32 := 16#066a78a0#;
   pragma Export (C, u00130, "interfaces__c_streamsS");
   u00131 : constant Version_32 := 16#b0807375#;
   pragma Export (C, u00131, "system__os_libB");
   u00132 : constant Version_32 := 16#d872da39#;
   pragma Export (C, u00132, "system__os_libS");
   u00133 : constant Version_32 := 16#2a8e89ad#;
   pragma Export (C, u00133, "system__stringsB");
   u00134 : constant Version_32 := 16#3339ea02#;
   pragma Export (C, u00134, "system__stringsS");
   u00135 : constant Version_32 := 16#aeb05c3f#;
   pragma Export (C, u00135, "system__file_control_blockS");
   u00136 : constant Version_32 := 16#95f86c43#;
   pragma Export (C, u00136, "system__regexpB");
   u00137 : constant Version_32 := 16#701d615b#;
   pragma Export (C, u00137, "system__regexpS");
   u00138 : constant Version_32 := 16#f1f267db#;
   pragma Export (C, u00138, "ada__streams__stream_ioB");
   u00139 : constant Version_32 := 16#246a8ddb#;
   pragma Export (C, u00139, "ada__streams__stream_ioS");
   u00140 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00140, "system__communicationB");
   u00141 : constant Version_32 := 16#4a4f9345#;
   pragma Export (C, u00141, "system__communicationS");
   u00142 : constant Version_32 := 16#f4e097a7#;
   pragma Export (C, u00142, "ada__text_ioB");
   u00143 : constant Version_32 := 16#626779ba#;
   pragma Export (C, u00143, "ada__text_ioS");
   u00144 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00144, "gnatS");
   u00145 : constant Version_32 := 16#07f037cc#;
   pragma Export (C, u00145, "gnat__command_lineB");
   u00146 : constant Version_32 := 16#0b5ceadc#;
   pragma Export (C, u00146, "gnat__command_lineS");
   u00147 : constant Version_32 := 16#dce2b167#;
   pragma Export (C, u00147, "gnat__directory_operationsB");
   u00148 : constant Version_32 := 16#283387a2#;
   pragma Export (C, u00148, "gnat__directory_operationsS");
   u00149 : constant Version_32 := 16#efb85c8a#;
   pragma Export (C, u00149, "gnat__os_libS");
   u00150 : constant Version_32 := 16#1a7f835c#;
   pragma Export (C, u00150, "system__finalization_mastersB");
   u00151 : constant Version_32 := 16#32edfa88#;
   pragma Export (C, u00151, "system__finalization_mastersS");
   u00152 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00152, "system__img_boolB");
   u00153 : constant Version_32 := 16#a6f6b77c#;
   pragma Export (C, u00153, "system__img_boolS");
   u00154 : constant Version_32 := 16#20ec7aa3#;
   pragma Export (C, u00154, "system__ioB");
   u00155 : constant Version_32 := 16#cd6d31d8#;
   pragma Export (C, u00155, "system__ioS");
   u00156 : constant Version_32 := 16#35d6ef80#;
   pragma Export (C, u00156, "system__storage_poolsB");
   u00157 : constant Version_32 := 16#28592120#;
   pragma Export (C, u00157, "system__storage_poolsS");
   u00158 : constant Version_32 := 16#021224f8#;
   pragma Export (C, u00158, "system__pool_globalB");
   u00159 : constant Version_32 := 16#29da5924#;
   pragma Export (C, u00159, "system__pool_globalS");
   u00160 : constant Version_32 := 16#eca5ecae#;
   pragma Export (C, u00160, "system__memoryB");
   u00161 : constant Version_32 := 16#0a52a0a3#;
   pragma Export (C, u00161, "system__memoryS");
   u00162 : constant Version_32 := 16#5e8f3fa6#;
   pragma Export (C, u00162, "system__storage_pools__subpoolsB");
   u00163 : constant Version_32 := 16#8393ab70#;
   pragma Export (C, u00163, "system__storage_pools__subpoolsS");
   u00164 : constant Version_32 := 16#e6a15ecd#;
   pragma Export (C, u00164, "system__storage_pools__subpools__finalizationB");
   u00165 : constant Version_32 := 16#8bd8fdc9#;
   pragma Export (C, u00165, "system__storage_pools__subpools__finalizationS");
   u00166 : constant Version_32 := 16#173e5d86#;
   pragma Export (C, u00166, "system__val_intS");
   u00167 : constant Version_32 := 16#1cc0ec62#;
   pragma Export (C, u00167, "system__val_unsS");
   u00168 : constant Version_32 := 16#40fe4806#;
   pragma Export (C, u00168, "gnat__regexpS");
   u00169 : constant Version_32 := 16#fcd606d0#;
   pragma Export (C, u00169, "gnat__stringsS");
   u00170 : constant Version_32 := 16#09ec94b6#;
   pragma Export (C, u00170, "system__strings__stream_opsB");
   u00171 : constant Version_32 := 16#ec029138#;
   pragma Export (C, u00171, "system__strings__stream_opsS");
   u00172 : constant Version_32 := 16#a2cebd66#;
   pragma Export (C, u00172, "templates_parserB");
   u00173 : constant Version_32 := 16#22bbeffd#;
   pragma Export (C, u00173, "templates_parserS");
   u00174 : constant Version_32 := 16#fd8f4503#;
   pragma Export (C, u00174, "ada__containers__hash_tablesS");
   u00175 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00175, "ada__containers__prime_numbersB");
   u00176 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00176, "ada__containers__prime_numbersS");
   u00177 : constant Version_32 := 16#75de1dee#;
   pragma Export (C, u00177, "ada__strings__hashB");
   u00178 : constant Version_32 := 16#3655ad4c#;
   pragma Export (C, u00178, "ada__strings__hashS");
   u00179 : constant Version_32 := 16#f409d199#;
   pragma Export (C, u00179, "ada__strings__hash_case_insensitiveB");
   u00180 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00180, "ada__strings__hash_case_insensitiveS");
   u00181 : constant Version_32 := 16#2c96b97c#;
   pragma Export (C, u00181, "gnat__calendarB");
   u00182 : constant Version_32 := 16#b6231e12#;
   pragma Export (C, u00182, "gnat__calendarS");
   u00183 : constant Version_32 := 16#b55a5a7a#;
   pragma Export (C, u00183, "interfaces__c__extensionsS");
   u00184 : constant Version_32 := 16#89410887#;
   pragma Export (C, u00184, "ada__calendar__formattingB");
   u00185 : constant Version_32 := 16#a2aff7a7#;
   pragma Export (C, u00185, "ada__calendar__formattingS");
   u00186 : constant Version_32 := 16#974d849e#;
   pragma Export (C, u00186, "ada__calendar__time_zonesB");
   u00187 : constant Version_32 := 16#ade8f076#;
   pragma Export (C, u00187, "ada__calendar__time_zonesS");
   u00188 : constant Version_32 := 16#8a61d721#;
   pragma Export (C, u00188, "system__val_fixed_64S");
   u00189 : constant Version_32 := 16#2f9cb76c#;
   pragma Export (C, u00189, "system__arith_64B");
   u00190 : constant Version_32 := 16#e14b3c78#;
   pragma Export (C, u00190, "system__arith_64S");
   u00191 : constant Version_32 := 16#da7fdba9#;
   pragma Export (C, u00191, "gnat__calendar__time_ioB");
   u00192 : constant Version_32 := 16#4f726d8e#;
   pragma Export (C, u00192, "gnat__calendar__time_ioS");
   u00193 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00193, "gnat__case_utilB");
   u00194 : constant Version_32 := 16#857fd105#;
   pragma Export (C, u00194, "gnat__case_utilS");
   u00195 : constant Version_32 := 16#693399cf#;
   pragma Export (C, u00195, "system__img_lliS");
   u00196 : constant Version_32 := 16#0ff11e9c#;
   pragma Export (C, u00196, "system__img_lluS");
   u00197 : constant Version_32 := 16#8f9f9fb7#;
   pragma Export (C, u00197, "gnat__regpatS");
   u00198 : constant Version_32 := 16#55156213#;
   pragma Export (C, u00198, "system__regpatB");
   u00199 : constant Version_32 := 16#d1755de8#;
   pragma Export (C, u00199, "system__regpatS");
   u00200 : constant Version_32 := 16#9761820e#;
   pragma Export (C, u00200, "system__img_charB");
   u00201 : constant Version_32 := 16#cf1b9e70#;
   pragma Export (C, u00201, "system__img_charS");
   u00202 : constant Version_32 := 16#7970d26c#;
   pragma Export (C, u00202, "templates_parser__configurationS");
   u00203 : constant Version_32 := 16#8abe5453#;
   pragma Export (C, u00203, "templates_parser__inputB");
   u00204 : constant Version_32 := 16#08e39ca1#;
   pragma Export (C, u00204, "templates_parser__inputS");
   u00205 : constant Version_32 := 16#095a96fb#;
   pragma Export (C, u00205, "templates_parser__utilsB");
   u00206 : constant Version_32 := 16#0dfdb513#;
   pragma Export (C, u00206, "templates_parser__utilsS");
   u00207 : constant Version_32 := 16#71641cad#;
   pragma Export (C, u00207, "ada__environment_variablesB");
   u00208 : constant Version_32 := 16#767099b7#;
   pragma Export (C, u00208, "ada__environment_variablesS");
   u00209 : constant Version_32 := 16#7cecc4f8#;
   pragma Export (C, u00209, "interfaces__c__stringsB");
   u00210 : constant Version_32 := 16#f239f79c#;
   pragma Export (C, u00210, "interfaces__c__stringsS");
   u00211 : constant Version_32 := 16#2eb5f9fc#;
   pragma Export (C, u00211, "templates_parser_taskingB");
   u00212 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00212, "templates_parser_taskingS");
   u00213 : constant Version_32 := 16#3d613dd6#;
   pragma Export (C, u00213, "ada__task_identificationB");
   u00214 : constant Version_32 := 16#ad4f516d#;
   pragma Export (C, u00214, "ada__task_identificationS");
   u00215 : constant Version_32 := 16#3fcd96f1#;
   pragma Export (C, u00215, "system__task_primitivesS");
   u00216 : constant Version_32 := 16#d82b7f75#;
   pragma Export (C, u00216, "system__os_interfaceB");
   u00217 : constant Version_32 := 16#5cce60b3#;
   pragma Export (C, u00217, "system__os_interfaceS");
   u00218 : constant Version_32 := 16#7800b63a#;
   pragma Export (C, u00218, "system__linuxS");
   u00219 : constant Version_32 := 16#39bbe58c#;
   pragma Export (C, u00219, "system__task_primitives__operationsB");
   u00220 : constant Version_32 := 16#cda48312#;
   pragma Export (C, u00220, "system__task_primitives__operationsS");
   u00221 : constant Version_32 := 16#cb078feb#;
   pragma Export (C, u00221, "system__interrupt_managementB");
   u00222 : constant Version_32 := 16#f09be353#;
   pragma Export (C, u00222, "system__interrupt_managementS");
   u00223 : constant Version_32 := 16#64507e17#;
   pragma Export (C, u00223, "system__multiprocessorsB");
   u00224 : constant Version_32 := 16#6b8359e4#;
   pragma Export (C, u00224, "system__multiprocessorsS");
   u00225 : constant Version_32 := 16#375a3ef7#;
   pragma Export (C, u00225, "system__task_infoB");
   u00226 : constant Version_32 := 16#5a3a8544#;
   pragma Export (C, u00226, "system__task_infoS");
   u00227 : constant Version_32 := 16#df59ed75#;
   pragma Export (C, u00227, "system__taskingB");
   u00228 : constant Version_32 := 16#2d911baa#;
   pragma Export (C, u00228, "system__taskingS");
   u00229 : constant Version_32 := 16#617d5887#;
   pragma Export (C, u00229, "system__stack_usageB");
   u00230 : constant Version_32 := 16#8d63b971#;
   pragma Export (C, u00230, "system__stack_usageS");
   u00231 : constant Version_32 := 16#396952b5#;
   pragma Export (C, u00231, "system__tasking__debugB");
   u00232 : constant Version_32 := 16#fd83a477#;
   pragma Export (C, u00232, "system__tasking__debugS");
   u00233 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00233, "system__concat_2B");
   u00234 : constant Version_32 := 16#518f1147#;
   pragma Export (C, u00234, "system__concat_2S");
   u00235 : constant Version_32 := 16#2b70b149#;
   pragma Export (C, u00235, "system__concat_3B");
   u00236 : constant Version_32 := 16#585f9a32#;
   pragma Export (C, u00236, "system__concat_3S");
   u00237 : constant Version_32 := 16#25460443#;
   pragma Export (C, u00237, "system__img_enum_newB");
   u00238 : constant Version_32 := 16#3263c057#;
   pragma Export (C, u00238, "system__img_enum_newS");
   u00239 : constant Version_32 := 16#7e68a212#;
   pragma Export (C, u00239, "system__tasking__utilitiesB");
   u00240 : constant Version_32 := 16#8488e202#;
   pragma Export (C, u00240, "system__tasking__utilitiesS");
   u00241 : constant Version_32 := 16#ae3eeeea#;
   pragma Export (C, u00241, "system__tasking__initializationB");
   u00242 : constant Version_32 := 16#cd0eb8a9#;
   pragma Export (C, u00242, "system__tasking__initializationS");
   u00243 : constant Version_32 := 16#b71b5649#;
   pragma Export (C, u00243, "system__soft_links__taskingB");
   u00244 : constant Version_32 := 16#e939497e#;
   pragma Export (C, u00244, "system__soft_links__taskingS");
   u00245 : constant Version_32 := 16#3880736e#;
   pragma Export (C, u00245, "ada__exceptions__is_null_occurrenceB");
   u00246 : constant Version_32 := 16#8c52dfdf#;
   pragma Export (C, u00246, "ada__exceptions__is_null_occurrenceS");
   u00247 : constant Version_32 := 16#5abddd2e#;
   pragma Export (C, u00247, "system__tasking__task_attributesB");
   u00248 : constant Version_32 := 16#7dbadc03#;
   pragma Export (C, u00248, "system__tasking__task_attributesS");
   u00249 : constant Version_32 := 16#5617ed70#;
   pragma Export (C, u00249, "system__tasking__queuingB");
   u00250 : constant Version_32 := 16#73e13001#;
   pragma Export (C, u00250, "system__tasking__queuingS");
   u00251 : constant Version_32 := 16#e59967af#;
   pragma Export (C, u00251, "system__tasking__protected_objectsB");
   u00252 : constant Version_32 := 16#242da0e0#;
   pragma Export (C, u00252, "system__tasking__protected_objectsS");
   u00253 : constant Version_32 := 16#9cbea778#;
   pragma Export (C, u00253, "system__tasking__protected_objects__entriesB");
   u00254 : constant Version_32 := 16#7daf93e7#;
   pragma Export (C, u00254, "system__tasking__protected_objects__entriesS");
   u00255 : constant Version_32 := 16#100eaf58#;
   pragma Export (C, u00255, "system__restrictionsB");
   u00256 : constant Version_32 := 16#0dc5d510#;
   pragma Export (C, u00256, "system__restrictionsS");
   u00257 : constant Version_32 := 16#54bfb6fa#;
   pragma Export (C, u00257, "system__tasking__protected_objects__operationsB");
   u00258 : constant Version_32 := 16#d7b32435#;
   pragma Export (C, u00258, "system__tasking__protected_objects__operationsS");
   u00259 : constant Version_32 := 16#c1f64448#;
   pragma Export (C, u00259, "system__tasking__entry_callsB");
   u00260 : constant Version_32 := 16#526fb901#;
   pragma Export (C, u00260, "system__tasking__entry_callsS");
   u00261 : constant Version_32 := 16#f6426077#;
   pragma Export (C, u00261, "system__tasking__rendezvousB");
   u00262 : constant Version_32 := 16#0ab0962f#;
   pragma Export (C, u00262, "system__tasking__rendezvousS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_lli%s
   --  system.io%s
   --  system.io%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.img_llu%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.containers%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  gnat%s
   --  gnat.strings%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  ada.environment_variables%s
   --  ada.environment_variables%b
   --  system.arith_64%s
   --  system.arith_64%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_fixed_64%s
   --  system.val_llu%s
   --  ada.tags%s
   --  ada.tags%b
   --  ada.streams%s
   --  ada.streams%b
   --  ada.strings.text_output%s
   --  ada.strings.text_output.utils%s
   --  ada.strings.text_output.utils%b
   --  system.communication%s
   --  system.communication%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  ada.containers.red_black_trees%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.streams.stream_io%s
   --  ada.streams.stream_io%b
   --  system.put_images%s
   --  system.put_images%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes.xdr%s
   --  system.stream_attributes.xdr%b
   --  system.stream_attributes%b
   --  system.val_uns%s
   --  system.val_int%s
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  ada.calendar.formatting%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  ada.characters.handling%s
   --  ada.characters.handling%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.hash_case_insensitive%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.regpat%s
   --  system.regpat%b
   --  gnat.regpat%s
   --  system.tasking%s
   --  system.task_primitives.operations%s
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.tasking%b
   --  gnat.calendar.time_io%s
   --  gnat.calendar.time_io%b
   --  gnat.directory_operations%s
   --  gnat.directory_operations%b
   --  system.file_attributes%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%s
   --  ada.directories.hierarchical_file_names%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.directories%b
   --  ada.directories.hierarchical_file_names%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  gnat.command_line%b
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%s
   --  system.tasking.utilities%b
   --  ada.task_identification%s
   --  ada.task_identification%b
   --  system.tasking.entry_calls%s
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.entry_calls%b
   --  system.tasking.rendezvous%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  templates2ada%b
   --  END ELABORATION ORDER

end ada_main;
